iPhone SDK on Tiger?

Discussion in 'iOS Development' started by Salax, Feb 25, 2010.

  1. Salax

    Salax New Member

    Joined:
    Jan 7, 2010
    Messages:
    42
    Likes Received:
    0
    Device:
    3G iPod touch
    I know it says you need Lepoard, but is there some hack to make it work on Tiger? Any help appreciated.
  2. lauNchD

    lauNchD Well-Known Member

    Joined:
    Jan 27, 2008
    Messages:
    1,844
    Likes Received:
    261
    Device:
    iPhone 5 (Black)
    Sorry, but that probably won't work.

    The iPhone SDK relies on many Leopard libraries/newer versions of frameworks that aren't available in Tiger.
    However, using it on PPC Leopard (it says it only works on Intel Leopard) is possible with some hackery, since all the crucial frameworks are on the PPC version too.
  3. Our_Mountain_of_Ideas

    Our_Mountain_of_Ideas New Member

    Joined:
    Mar 2, 2010
    Messages:
    22
    Likes Received:
    0
    Device:
    iPad
    You're better off to just upgrade to Leopard or Snow Leopard. The benefits are huge, and even if you would get it working in Tiger, you're looking at not only a lot of hackery, but also the SDK not running that well, or being somewhat broken.

    When working on an app, the last thing you want is to have it come out poorly, or have it get lost because the SDK isn't installed properly.
  4. bddckr

    bddckr Active Member

    Joined:
    Dec 2, 2007
    Messages:
    1,434
    Likes Received:
    18
    Device:
    iPhone 4 (Black)
    In addition to this:
    Remember you'd need to do a lot of hackery after every major SDK release you want (and you will want to) to use.

Share This Page